SDL_WaylandDataDevice Struct Reference

`#include <SDL_waylanddatamanager.h>`

Collaboration diagram for SDL_WaylandDataDevice:
[legend]

## Data Fields

struct wl_data_device * | data_device
SDL_VideoData * | video_data
uint32_t | drag_serial
SDL_WaylandDataOffer * | drag_offer
SDL_WaylandDataOffer * | selection_offer
uint32_t | selection_serial
SDL_WaylandDataSource * | selection_source

## Detailed Description

Definition at line 51 of file SDL_waylanddatamanager.h.

## Field Documentation

## data_device

struct wl_data_device* SDL_WaylandDataDevice::data_device

Definition at line 52 of file SDL_waylanddatamanager.h.

## drag_offer

SDL_WaylandDataOffer* SDL_WaylandDataDevice::drag_offer

Definition at line 57 of file SDL_waylanddatamanager.h.

## drag_serial

uint32_t SDL_WaylandDataDevice::drag_serial

Definition at line 56 of file SDL_waylanddatamanager.h.

## selection_offer

SDL_WaylandDataOffer* SDL_WaylandDataDevice::selection_offer

Definition at line 58 of file SDL_waylanddatamanager.h.

## selection_serial

uint32_t SDL_WaylandDataDevice::selection_serial

Definition at line 61 of file SDL_waylanddatamanager.h.

## selection_source

SDL_WaylandDataSource* SDL_WaylandDataDevice::selection_source

Definition at line 62 of file SDL_waylanddatamanager.h.

## video_data

SDL_VideoData* SDL_WaylandDataDevice::video_data

Definition at line 53 of file SDL_waylanddatamanager.h.

The documentation for this struct was generated from the following file:

- src/video/wayland/SDL_waylanddatamanager.h